Subject: bug#16210: 24.3.50; Build fails: error: trying to encode non-integer type as a bitfield

From: Jan Djärv <[email-masked]>
Date: Sat, 21 Dec 2013 09:47:42 +0100

Hello.

21 dec 2013 kl. 09:41 skrev Jan Djärv <[email-masked]>:

> Hello.
> 
> gcc 4.7 gives the same error.  Using clang 3.3 does not give any error.

Using clang is not an option though, bootstrap-emacs segfaults before entering main.

	Jan D.

> 
> 	Jan D.
> 
> 21 dec 2013 kl. 09:25 skrev Jan Djärv <[email-masked]>:
> 
>> Bzr revision 115657, building GNUStep (--with-ns) on Fedora 19:
>> 
>> gcc -std=gnu99 -c  -Demacs  -I. -I../../current/src -I../lib -I../../current/src/../lib    -D_REENTRANT -fPIC -fno-strict-aliasing -I/usr/include -I/usr/local/include     -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include          -MMD -MF deps/nsterm.d -MP -I/usr/include/p11-kit-1      -g3 -fobjc-exceptions -fgnu-runtime -Wno-import -fconstant-string-class=NSConstantString -DGNUSTEP_BASE_LIBRARY=1 -DGNU_GUI_LIBRARY=1 -DGNU_RUNTIME=1 -DGSWARN -DGSDIAGNOSE  ../../current/src/nsterm.m
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> }
>> ^
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> ../../current/src/nsterm.m:6075:1: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> <built-in>:0:0: error: trying to encode non-integer type as a bitfield
>> make[1]: *** [nsterm.o] Error 1
>> 
>> gcc -v:
>> Using built-in specs.
>> COLLECT_GCC=gcc
>> COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/4.8.2/lto-wrapper
>> Target: x86_64-redhat-linux
>> Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-linker-hash-style=gnu --enable-languages=c,c++,objc,obj-c++,java,fortran,ada,go,lto --enable-plugin --enable-initfini-array --enable-java-awt=gtk --disable-dssi --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre --enable-libgcj-multifile --enable-java-maintainer-mode --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --disable-libjava-multilib --with-isl=/builddir/build/BUILD/gcc-4.8.2-20131212/obj-x86_64-redhat-linux/isl-install --with-cloog=/builddir/build/BUILD/gcc-4.8.2-20131212/obj-x86_64-redhat-linux/cloog-install --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux
>> Thread model: posix
>> gcc version 4.8.2 20131212 (Red Hat 4.8.2-7) (GCC) 
>> 
>> Don't know whats causing the error, sice the line in the error messiage is a single }.
>> 
>> 	Jan D.
>> 
>> 
>> 
>> 
> 
> 
>